Skip to main content
PATCH
Patch ai agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"01a0206f-ddec-7251-8c18-0fc160c8b3aa"

Body

application/json
name
string

Name of the AI Sales Agent

Example:

"Enterprise Outreach Agent"

payload
object

Lead Finder Agent payload

status
enum<number>

Status of the AI Sales Agent

Available options:
-1,
0,
1
Example:

1

is_auto_created
boolean | null

Whether the AI agent was auto-created

Example:

false

description
string | null

Description of the AI Sales Agent

Example:

"Targets enterprise companies in tech sector"

config
object

Configuration for the AI Sales Agent including memory, enrichment settings, outreach settings, and autonomy settings. If not provided, default configuration will be used.

self_improvement
boolean | null

When enabled, the agent learns from past campaign performance to iteratively improve its outreach strategy.

Example:

false

Response

The updated AI agent or AI Sales Agent

An AI agent

id
string<uuid>
required
read-only

Unique identifier for the AI agent

Example:

"01a0206f-ab5d-7a94-b390-0e72d746d00a"

organization_id
string<uuid>
required
read-only

Organization ID

Example:

"01a0206f-ab5d-7a94-b390-0e739ce03f39"

name
string
required

Name of the AI Agent

Example:

"Test AI Agent"

payload
object
required

Lead Finder Agent payload

timestamp_created
string
required
read-only

Timestamp when the AI agent was created

Example:

"2026-08-20T18:29:44.413Z"

timestamp_updated
string
required
read-only

Timestamp when the AI agent was updated

Example:

"2026-08-20T18:29:44.413Z"

status
enum<number>
required

Status of the AI Agent

Available options:
-1,
0,
1
Example:

1

type
null | enum<number>

Type of the AI Agent

Available options:
1,
2,
3,
4,
6,
7,
8,
9,
10
Example:

1

is_auto_created
null | boolean

Whether the AI agent was auto-created

Example:

false

created_by
null | string<uuid>
read-only

User ID who created the AI agent

Example:

"01a0206f-ab5d-7a94-b390-0e74994e2dba"

description
null | string
read-only

Description of the AI agent

Example:

"Optional agent description"